/*
 * Created on Jul 11, 2003
 */
package core;

import java.math.BigInteger;
import java.util.Random;

/**
 * @author Xavier Didelot
 */
public class BigInt extends BigInteger {

	private String label;

	public BigInt(byte[] arg0,String label) {
		super(arg0);
		this.label=label;
	}

	public BigInt(int arg0, byte[] arg1,String label) {
		super(arg0, arg1);
		this.label=label;
	}

	public BigInt(String arg0, int arg1,String label) {
		super(arg0, arg1);
		this.label=label;
	}

	public BigInt(String arg0,String label) {
		super(arg0);
		this.label=label;
	}

	public BigInt(int arg0, Random arg1,String label) {
		super(arg0, arg1);
		this.label=label;
	}

	public BigInt(int arg0, int arg1, Random arg2,String label) {
		super(arg0, arg1, arg2);
		this.label=label;
	}

	public String getLabel() {
		return label;
	}

}
