/*
 * Created on Jun 16, 2003
 */
package core;

import java.io.IOException;
import java.security.Key;
import java.security.NoSuchAlgorithmException;

/**
 * @author Xavier Didelot
 */
public class MessageKeyT extends MessageT implements IMessageKey {

	public MessageKeyT() {
		super();
	}

	public MessageKeyT(String algo)
		throws IOException, NoSuchAlgorithmException {
		MessageKey mk=new MessageKey(algo);
		setString("K,"+mk.getString());
	}

	public MessageKeyT(Key key) throws IOException {
		MessageKey mk=new MessageKey(key);
		setString("K,"+mk.getString());		
	}

	public Key toKey() throws Exception {
		MessageKey mk=new MessageKey();
		mk.setString(getText());
		return mk.toKey();
	}
	
	public MessageKeyT(Message msg) {
		setString(msg.getString());
	}
}
